@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800&display=swap");

body {
    background-color: #eee;
    font-family: "Poppins", sans-serif
}

a {
  width:fit-content;
  text-align:  center;
}

.inline-elements {
            display: flex;
}

.inline-elements h4{
            display: flex;
            margin-right: 5px;
}

.inline-elements p {
  align-items: center;
  font-size: 0.8em; /* Adjust the size as needed */
  line-height: 1.5; /* Adjust the line-height to move it slightly lower */
  margin-top: 4px; /* Adjust this value to move it down more or less */
  margin-left: 5px;
}

.review-container {
  max-width: 600px;
  margin: 20px auto;
  padding: 20px;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
.review {
  border-bottom: 1px solid #ddd;
  padding-bottom: 20px;
  margin-bottom: 20px;
}
.review:last-child {
  border-bottom: none;
  margin-bottom: 0;
  padding-bottom: 0;
}
.review .reviewBy {
  font-weight: bold;
  color: #333;
}
.review .date {
  font-size: 12px;
  color: #777;
}
.review .rating {
  color: #f39c12;
}
.review .comment {
  margin-top: 10px;
}


.user-profile {
    background: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.rating-container {
      display: flex;
      align-items: center;
      padding-bottom: 5px;
    }

.rating-stars {
    position: relative;
    display: inline-block;
    font-size: 24px;
    color: lightgray;
  }

  .rating-stars::before {
    content: "★★★★★";
    position: absolute;
    left: 0;
    top: 0;
    color: gold;
    width: 0;
    overflow: hidden;
    white-space: nowrap;
    transition: width 0.3s;
    width: var(--rating-fill, 0);

  }

  .total-reviews {
    padding-top: 5px;
    font-size: 12px; /* Smaller font size for the reviews text */
}

  .rating-decimal {
    margin-left: 10px;
    font-size: 18px;
  }
  .lister-rating-star {
      font-size: 28px;
      color: gold;
  }

  .lister-rating-star-small {
      font-size: 20px;
      color: gold;
  }


  .listerProfileRating {
    font-size: 20px; /* Increased font size for the rating */
    margin-right: 4px;
}
